# Uses of Class
java.util.zip.CRC32

Packages that use CRC32
Package
Description
java.util.zip
Provides classes for reading and writing the standard ZIP and GZIP file formats.

## Uses of CRC32 in java.util.zip

Fields in java.util.zip declared as CRC32
Modifier and Type
Field
Description
`protected CRC32`
GZIPInputStream.`crc`
CRC-32 for uncompressed data.
`protected CRC32`
GZIPOutputStream.`crc`
CRC-32 of uncompressed data.